gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Container Infinite scrollable area containing child widgets and/or custom drawing is similar to in that it is a "blank slate" and does not do anything but paint a blank background by default. It is different in that it supports scrolling natively (you can add it to a ), and it can contain child widgets, since it is a . However, if you are just going to draw, a is a better choice, since it has lower overhead.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  an object of type
  an object of type
  Creates a new object.
- Property
  2.12.0.0
  Gdk.Window The window object for this layout widget. a
- Method
  2.12.0.0
  System.Obsolete
  System.Void Deprecated. Do not use.
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type Gets the size of the scrollbar area for the .
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("hadjustment")
  Gtk.Adjustment The for the horizontal position. an object of type
- Property
  2.12.0.0
  GLib.Property("height")
  System.UInt32 The height of the layout. an object of type
- Property
  2.12.0.0
  Gtk.Container+ContainerChild `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` `` `` an object of type an object of type an object of type Moves a current child of to a new position.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideScrollAdjustmentsSet", Type=typeof(Gtk.Layout))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Void `` `` `` an object of type an object of type an object of type Adds to the , at position (, ). becomes the new parent container of .
- Event
  2.12.0.0
  GLib.Signal("set_scroll_adjustments")
  Gtk.ScrollAdjustmentsSetHandler Raised whenever the scroll adjustment units are set for this widget.
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type Sets the size of the scrollable area for the .
- Method
  2.12.0.0
  System.Obsolete
  System.Void Deprecated. Do not use.
- Property
  2.12.0.0
  GLib.Property("vadjustment")
  Gtk.Adjustment The for the vertical position. an object of type
- Property
  2.12.0.0
  GLib.Property("width")
  System.UInt32 The width of the layout. an object of type